webdevqa.jp.net

オンデマンド設定は、Android Gradleプラグインの現在のバージョンではサポートされていません

Android Studio 3.1.2にアップグレードした後、次のようなエラーが表示されます。

Gradleバージョン4.6以降を使用しているため、オンデマンド設定はAndroid Gradleプラグインの現在のバージョンではサポートされていません。提案:gradle.propertiesファイルでorg.gradle.configureondemand = falseを設定するか、Gradleバージョン4.6未満を使用してオンデマンドで設定を無効にします。

私は提案に従うことを試みましたが、これは問題を解決しませんでした。何か案は?すべての助けは大歓迎です、ありがとう。

293
Dick Lucas

ダウングレードする必要はありません。

Configure on demandを無効にするには、2つのステップが必要です。

  1. Gradle.propertiesからorg.gradle.configureondemandを削除します。

  2. Android Studioでは、
    Macの場合 Preferences> Build, Execution, Deployment> Compilerに進み、configureをオンデマンドでオフにします。
    Linux/Windowsの場合 File> Settings> Build, Execution, Deployment> Compilerに進み、configureをオンデマンドでオフにします。

2つのgradle.propertiesファイルがあります

  1. あなたのプロジェクトではgradle.properties
  2. ${HOME}/.gradle/gradle.properties
689
wookupmaker

Android Studioでは、File - > Settings - > Build、Execution、Deployment - > Compilerの順にクリックし、configure on demandオプションをオフにして、 Ok とプロジェクトを許可ファイルと同期します

44
Sidonai

AS 3.1.2にアップデートした後も同じエラーになります。 Gradleバージョン4.6を使用できますが、Android gradleプラグインを3.1.1にダウングレードできます

編集:キャッシュを無効にして再起動するだけです

6
hahnsaja

ドキュメント の中でもAndroidスタジオの既知のバグです、彼らはこの問題について言及しています。

今最も簡単な方法は、次のようにしてこの機能を無効にすることです。 

  1. [ファイル]> [設定](Macの場合は[Android Studio]> [設定])をクリックして[設定]ウィンドウを開きます。
  2. 左側のペインで、[ビルド]、[実行]、[展開]、[コンパイラ]の順にクリックします。
  3. [オンデマンド設定]チェックボックスをオフにします。
  4. 適用またはOKをクリックします。

特定のGradleプラグインバージョン用に提供されている警告については、この画像を確認してください。

enter image description here

4
TapanHP

他の「解決策」は、Android Studioによる提案を使用することです。 Android Gradle 3.1.3とGradleバージョン4.4のプラグイン。

enter image description here

4
Alex Felipe

Android Gradle Pluginを3.2.0-alpha16に更新するだけです。 

Android Gradleプラグインアップデート3.1.2ではなく3.2.0-alpha16

3
Chetan Patel

@wookupmakerの答えは正しいです。それでもうまくいかない場合は、問題は global gradle.propertiesにある可能性があります。 

上書きしようとしても 

org.gradle.configureondemand = false

私の地元の(プロジェクト固有の)gradle.propertiesでは、どういうわけかそれはうまくいきませんでした。 

グローバル(〜/ .gradle/gradle.properties)を編集した後、期待どおりに動作しました  

3
Bozic Nebojsa

キャッシュを無効にしてconfigureをオンデマンドで再起動/無効にしてもうまくいきませんでした。私を助けた唯一の解決策は再びgitからプロジェクトをインポートすることです。

[UPD] "com.Android.tools.build:gradle"を3.1.2から3.1.1に変更する必要があります

2
whitipet

Android Studioから オンデマンドの設定のチェックを外します

以下の手順に従ってください。 

  1. Macの場合は、[設定]> [ビルド]、[実行]、[展開]> [コンパイラ]の順に選択し、オンデマンドで設定を解除します。

  2. Linux/Windowsの場合は、[ファイル]> [設定]> [ビルド]、[実行]、[展開]> [コンパイラ]の順に選択し、オンデマンドで設定を解除します。

プロジェクトを同期します

ハッピーコーディング! :)

2
Monir Zzaman

この場合に必要なことは、Android Studioで "nuclear function"を使用することだけでした。 

ファイル - >キャッシュの無効化/再起動...

他の多くの場合と同様に、これはGradleの同期とプロジェクトビルドを再び機能させるのに役立ちました。私はgradle-4.6-allとGradle Plugin com.Android.tools.build:gradle:3.1.3を使っています。

1
Micer

[ファイル] - > [ビルド]、[実行]、[展開] - > [コンパイラ] の順に選択し、[Configure on Demand]のチェックを外します。

enter image description here

0
eLi